<?php

/**
 * @file
 */
namespace Drupal\edlp_corpus\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Link;
use Drupal\Core\Url;

/**
 * Creates a 'Entrees' Block
 * @Block(
 * id = "block_edlp_entrees",
 * admin_label = @Translation("Edlp entrees block"),
 * )
 */
class BlockEntrees extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {

    $query = \Drupal::entityQuery('taxonomy_term')
      ->condition('vid', 'entrees');

    $tids = $query->execute();
    $terms = entity_load_multiple('taxonomy_term', $tids);
    // dsm($terms);
    foreach ($terms as $term) {
      // dpm($term->toArray());
      $tid = $term->id();
      $name = $term->getName();

      $entree = array(
        'tid'=>$tid
      );

      $term_url = Url::fromRoute('entity.taxonomy_term.canonical', ['taxonomy_term' => $tid]);
      $entree['term_link'] = Link::fromTextAndUrl($name, $term_url);

      $index_url = Url::fromRoute('entity.taxonomy_term.canonical', ['taxonomy_term' => $tid]);
      $entree['index_link'] = Link::fromTextAndUrl('index', $index_url);

      $notice_url = Url::fromRoute('entity.taxonomy_term.canonical', ['taxonomy_term' => $tid]);
      $entree['notice_link'] = Link::fromTextAndUrl('notice', $notice_url);

      $entree['description'] = $term->get('description')->value;

      $entrees[] = $entree;
    }

    return array (
      '#theme' => 'blockentrees',
      '#entrees_items' => $entrees,
      '#attached'=>array(
        'library' => array('edlp_corpus/corpus'),
        'drupalSettings' => array(
          'basepath' => base_path()
        )
      )
    );
  }

}
