edlp_vars = {
  "e_col_130": "rgb(75, 143, 126)",
  "e_col_121": "rgb(134, 142, 36)",
  "e_col_134": "rgb(43, 143, 47)",
  "e_col_121": "rgb(58, 51, 182)",
  "e_col_125": "rgb(44, 159, 87)",
  "e_col_119": "rgb(196, 137, 120)",
  "e_col_132": "rgb(82, 112, 187)",
  "e_col_122": "rgb(251, 84, 211)",
  "e_col_129": "rgb(224, 116, 131)",
  "e_col_120": "rgb(101, 88, 69)",
  "e_col_130": "rgb(126, 8, 104)",
  "e_col_118": "rgb(14, 113, 33)",
  "e_col_127": "rgb(218, 189, 66)",
  "e_col_133": "rgb(3, 153, 187)",
  "e_col_128": "rgb(57, 154, 28)",
  "e_col_124": "rgb(112, 133, 64)",
  "e_col_116": "rgb(25, 27, 255)",
  "e_col_117": "rgb(39, 157, 132)",
  "e_col_131": "rgb(82, 25, 171)",
  "e_col_126": "rgb(212, 156, 182)",
  "e_col_123": "rgb(73, 119, 21)"
};
(function($) {

  EdlpTheme = function(){

    var _is_front = $('body').is('.path-frontpage');
    var _$corpus_map;
    var _$content_container = $('.layout-container>main>.layout-content');

    function init(){
      console.log("EdlpTheme init()");
      // if(_is_front) initFront();

      $('body').on('corpus-map-ready', onCorpusMapReady);

      initScrollbars();

      initAjaxLinks();
    };



    // function initFront(){
    //   console.log('theme : initFront');
    // };

    function initScrollbars(){
      $('.os-scroll').overlayScrollbars({
        overflowBehavior:{x:'h',y:'scroll'}
      });
      // $('.row .col>*', 'main[role="main"]').overlayScrollbars({
      //   overflowBehavior:{x:'h',y:'scroll'}
      // });
    };

    // ajax
    function  initAjaxLinks(){
      console.log('initAjaxLinks');
      $('a', '#block-mainnavigation').on('click', onClickAjaxLink);
    };

    function onClickAjaxLink(e){
      e.preventDefault();
      // TODO: drupal settings not defined on NOT front page
      var path = window.location.origin + drupalSettings.basepath + $(this).attr('data-drupal-link-system-path')+'/ajax';
      $.getJSON(path, {}, onAjaxLinkLoaded);

      return false;
    };

    function onAjaxLinkLoaded(data){
      console.log('ajax link loaded : data', data);
      $('main[role="main"] .layout-content').html(data.rendered);
      initScrollbars();
    };

    // corpus
    function onCorpusMapReady(e){
      console.log('theme : onCorpusReady');
      _$corpus_map = $('canvas#edlp-map');
      _$corpus_map.on('corpus-cliked-on-map', function(e) {
        console.log('theme : corpus-cliked-on-map');
        closeAllModals();
      });
    }

    //modals
    function closeAllModals(){
      console.log('theme : closeAllModals');
      // TODO: animate the remove 
      _$content_container.html('');
    };

    init();
  }


  $(document).ready(function($) {
    var edlptheme = new EdlpTheme();
  });


})(jQuery);
